Loading...
Searching...
No Matches
D3D12_INPUT_ELEMENT_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

LPCSTR | SemanticName
UINT | SemanticIndex
DXGI_FORMAT | Format
UINT | InputSlot
UINT | AlignedByteOffset
D3D12_INPUT_CLASSIFICATION | InputSlotClass
UINT | InstanceDataStepRate

## Detailed Description

Definition at line 2045 of file mini_d3d12.h.

## Member Data Documentation

## SemanticName

LPCSTR D3D12_INPUT_ELEMENT_DESC::SemanticName

Definition at line 2046 of file mini_d3d12.h.

## SemanticIndex

UINT D3D12_INPUT_ELEMENT_DESC::SemanticIndex

Definition at line 2047 of file mini_d3d12.h.

## Format

DXGI_FORMAT D3D12_INPUT_ELEMENT_DESC::Format

Definition at line 2048 of file mini_d3d12.h.

## InputSlot

UINT D3D12_INPUT_ELEMENT_DESC::InputSlot

Definition at line 2049 of file mini_d3d12.h.

## AlignedByteOffset

UINT D3D12_INPUT_ELEMENT_DESC::AlignedByteOffset

Definition at line 2050 of file mini_d3d12.h.

## InputSlotClass

D3D12_INPUT_CLASSIFICATION D3D12_INPUT_ELEMENT_DESC::InputSlotClass

Definition at line 2051 of file mini_d3d12.h.

## InstanceDataStepRate

UINT D3D12_INPUT_ELEMENT_DESC::InstanceDataStepRate

Definition at line 2052 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h